Bug 19345 - SendMail error does not display error message in password recovery
Summary: SendMail error does not display error message in password recovery
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: David Bourgault
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-19 17:37 UTC by David Bourgault
Modified: 2017-11-23 23:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19345 - Add missing error flag to template (834 bytes, patch)
2017-09-19 17:40 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 19345 - Add missing error flag to template (900 bytes, patch)
2017-09-19 18:01 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19345 - Add missing error flag to template (985 bytes, patch)
2017-10-06 06:06 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Bourgault 2017-09-19 17:37:38 UTC
If the call to SendPasswordRecoveryEmail(...) in opac-password-recovery.pl fails, a error message should be displayed, but it's not.

To reproduce:
- Force SendPasswordRecoveryEmail() failure
    - Easiest way is to the file opac-password-recovery.pl and replace the
      'elsif (SendPassword...' at line 131 by 'elsif ( 0 ) {'
- Attempt to recover a user's password with valid login+email combo.

A message saying "An error has occurred while sending you the password recovery link." should be displayed, but it is not.
Comment 1 David Bourgault 2017-09-19 17:40:04 UTC
Created attachment 67221 [details] [review]
Bug 19345 - Add missing error flag to template

Adds a missing error flag to the template->param { } call.

To test : same procedure as above, after applying patch. Error message
will display correctly.
Comment 2 M. Tompsett 2017-09-19 18:01:15 UTC
Created attachment 67223 [details] [review]
Bug 19345 - Add missing error flag to template

Adds a missing error flag to the template->param { } call.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Marcel de Rooy 2017-10-06 06:06:36 UTC
Created attachment 67667 [details] [review]
Bug 19345 - Add missing error flag to template

Adds a missing error flag to the template->param { } call.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2017-10-06 06:07:37 UTC
Updated assignee field.
If you pick up a bug, please change the Assignee field, David.
Thanks.
Comment 5 Jonathan Druart 2017-10-06 15:17:38 UTC
First patch in, David, congrats!

Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-10-27 13:25:28 UTC
Pushed to 17.05.x, will be in 17.05.06.
Comment 7 Katrin Fischer 2017-10-29 18:51:20 UTC
This patch has been pushed to 16.11.x and will be in 16.11.14.
Comment 8 Mason James 2017-11-23 23:24:02 UTC
Pushed to 16.05.x, for 16.05.19 release